    001    /* ========================================================================
    002     * JCommon : a free general purpose class library for the Java(tm) platform
    003     * ========================================================================
    004     *
    005     * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jcommon/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * --------------------
    028     * L1R3ButtonPanel.java
    029     * --------------------
    030     * (C) Copyright 2000-2004, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * $Id: L1R3ButtonPanel.java,v 1.3 2005/10/18 13:18:34 mungady Exp $
    036     *
    037     * Changes (from 26-Oct-2001)
    038     * --------------------------
    039     * 26-Oct-2001 : Changed package to com.jrefinery.ui.* (DG);
    040     * 26-Jun-2002 : Removed unnecessary import (DG);
    041     * 14-Oct-2002 : Fixed errors reported by Checkstyle (DG);
    042     *
    043     */
    044
    045    package org.jfree.ui;
    046
    047    import java.awt.BorderLayout;
    048
    049    import javax.swing.JButton;
    050    import javax.swing.JPanel;
    051
    052    /**
    053     * A 'ready-made' panel that has one button on the left and three buttons on the right - nested
    054     * panels and layout managers take care of resizing.
    055     *
    056     * @author David Gilbert
    057     */
    058    public class L1R3ButtonPanel extends JPanel {
    059
    060        /** The left button. */
    061        private JButton left;
    062
    063        /** The first button on the right of the panel. */
    064        private JButton right1;
    065
    066        /** The second button on the right of the panel. */
    067        private JButton right2;
    068
    069        /** The third button on the right of the panel. */
    070        private JButton right3;
    071
    072        /**
    073         * Standard constructor - creates panel with the specified button labels.
    074         *
    075         * @param label1  the label for button 1.
    076         * @param label2  the label for button 2.
    077         * @param label3  the label for button 3.
    078         * @param label4  the label for button 4.
    079         */
    080        public L1R3ButtonPanel(final String label1, final String label2, final String label3, final String label4) {
    081
    082            setLayout(new BorderLayout());
    083
    084            // create the pieces...
    085            final JPanel panel = new JPanel(new BorderLayout());
    086            final JPanel panel2 = new JPanel(new BorderLayout());
    087            this.left = new JButton(label1);
    088            this.right1 = new JButton(label2);
    089            this.right2 = new JButton(label3);
    090            this.right3 = new JButton(label4);
    091
    092            // ...and put them together
    093            panel.add(this.left, BorderLayout.WEST);
    094            panel2.add(this.right1, BorderLayout.EAST);
    095            panel.add(panel2, BorderLayout.CENTER);
    096            panel.add(this.right2, BorderLayout.EAST);
    097            add(panel, BorderLayout.CENTER);
    098            add(this.right3, BorderLayout.EAST);
    099
    100        }
    101
    102        /**
    103         * Returns a reference to button 1, allowing the caller to set labels, action-listeners etc.
    104         *
    105         * @return the left button.
    106         */
    107        public JButton getLeftButton() {
    108            return this.left;
    109        }
    110
    111        /**
    112         * Returns a reference to button 2, allowing the caller to set labels, action-listeners etc.
    113         *
    114         * @return the right button 1.
    115         */
    116        public JButton getRightButton1() {
    117            return this.right1;
    118        }
    119
    120        /**
    121         * Returns a reference to button 3, allowing the caller to set labels, action-listeners etc.
    122         *
    123         * @return the right button 2.
    124         */
    125        public JButton getRightButton2() {
    126            return this.right2;
    127        }
    128
    129        /**
    130         * Returns a reference to button 4, allowing the caller to set labels, action-listeners etc.
    131         *
    132         * @return the right button 3.
    133         */
    134        public JButton getRightButton3() {
    135            return this.right3;
    136        }
    137
    138    }